Package com.collibra.dgc.core.api.dto.articulation

# Class ArticulationRuleRequest.Builder

Object
Builder

Enclosing class:
  `ArticulationRuleRequest`

public static final class ArticulationRuleRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArticulationRuleRequest.Builder`
  `attributeTypeId(UUID attributeTypeId)`
  The ID of the attribute type.
  `ArticulationRuleRequest`
  `build()`
  `ArticulationRuleRequest.Builder`
  `id(UUID id)`
  The ID of the articulation rule.
  `ArticulationRuleRequest.Builder`
  `operation(ArticulationOperation operation)`
  Required. The `operation` ADD or SET.
  `ArticulationRuleRequest.Builder`
  `score(double score)`
  Required. The articulation score (between 0 and 100).
  `ArticulationRuleRequest.Builder`
  `statusId(UUID statusId)`
  The ID of the status.
  `String`
  `toString()`
  `ArticulationRuleRequest.Builder`
  `withAttributeTypeId(UUID val)`
  Deprecated.
  This method will be removed in the future.
  `ArticulationRuleRequest.Builder`
  `withId(UUID val)`
  Deprecated.
  This method will be removed in the future.
  `ArticulationRuleRequest.Builder`
  `withOperation(ArticulationOperation val)`
  Deprecated.
  This method will be removed in the future.
  `ArticulationRuleRequest.Builder`
  `withScore(double val)`
  Deprecated.
  This method will be removed in the future.
  `ArticulationRuleRequest.Builder`
  `withStatusId(UUID val)`
  Deprecated.
  This method will be removed in the future.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### withOperation

    @Deprecated public ArticulationRuleRequest.Builder withOperation(ArticulationOperation val)
    Deprecated.
    This method will be removed in the future. Please use `operation(ArticulationOperation)`

  - ### withScore

    @Deprecated public ArticulationRuleRequest.Builder withScore(double val)
    Deprecated.
    This method will be removed in the future. Please use `score(double)`

  - ### withStatusId

    @Deprecated public ArticulationRuleRequest.Builder withStatusId(UUID val)
    Deprecated.
    This method will be removed in the future. Please use `statusId(UUID)`

  - ### withAttributeTypeId

    @Deprecated public ArticulationRuleRequest.Builder withAttributeTypeId(UUID val)
    Deprecated.
    This method will be removed in the future. Please use `attributeTypeId(UUID)`

  - ### withId

    @Deprecated public ArticulationRuleRequest.Builder withId(UUID val)
    Deprecated.
    This method will be removed in the future. Please use `id(UUID)`

  - ### id

    public ArticulationRuleRequest.Builder id(UUID id)
    The ID of the articulation rule.
    Returns:
      `this`.

  - ### operation

    public ArticulationRuleRequest.Builder operation(ArticulationOperation operation)
    Required. The `operation` ADD or SET.
    Returns:
      `this`.

  - ### score

    public ArticulationRuleRequest.Builder score(double score)
    Required. The articulation score (between 0 and 100).
    Returns:
      `this`.

  - ### statusId

    public ArticulationRuleRequest.Builder statusId(UUID statusId)
    The ID of the status.
    Returns:
      `this`.

  - ### attributeTypeId

    public ArticulationRuleRequest.Builder attributeTypeId(UUID attributeTypeId)
    The ID of the attribute type.
    Returns:
      `this`.

  - ### build

    public ArticulationRuleRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`